using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using MVVMDemo.ViewModel;
using PersonDataProvider;


namespace MVVMDemo.Client
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>

  public partial class MainWindow : System.Windows.Window
  {

    MainViewModel _viewModel = new MainViewModel(new SimplePersonDataProvider());

    public MainWindow()
    {
      InitializeComponent();

      this.DataContext = _viewModel;
      this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
      this.Closing += new System.ComponentModel.CancelEventHandler(MainWindow_Closing);
      _viewModel.UserFeedbackRequired += HandleUserFeedbackRequired;
    }

    void MainWindow_Loaded(object sender, RoutedEventArgs e)
    {
      this.CommandBindings.Add(_viewModel.NewPersonCommandBinding);
      this.CommandBindings.Add(_viewModel.DeletePersonCommandBinding);
      this.CommandBindings.Add(_viewModel.SavePersonsCommandBinding);

      _viewModel.NewPersonCommandBinding.Executed += delegate
      {
        firstNameTextBox.Focus();
      };

      _viewModel.LoadPersons();
    }

    void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
    {
      e.Cancel = !_viewModel.Close();
    }

private void HandleUserFeedbackRequired(object sender, UserFeedbackEventArgs e)
{
  e.Result = MessageBox.Show(this, e.Message, e.Caption, e.Button, e.Image);
}

  }
}