using System;
using System.Collections.Generic;
using System.Text;
using MVVMDemo.Model;
using System.Diagnostics;

namespace MVVMDemo.ViewModel
{

  /// <summary>
  /// Dummy Implementation von IPersonDataProvider fr die Beispielapplikation.
  /// </summary>
  public class DummyPersonDataProvider : IPersonDataProvider
  {

    List<Person> _persons = new List<Person>();

    public DummyPersonDataProvider()
    {
      _persons.Add(new Person("Thomas", "Huber", new DateTime(1999, 1, 1)));
      _persons.Add(new Person("Christoph", "Pletz", new DateTime(1966, 5, 6)));
    }

    public List<Person> GetPersons()
    {
      return _persons;
    }

    public void InsertPerson(Person person)
    {
      _persons.Add(person);
      Debug.WriteLine("Insert: " + person.ToString());
    }

    public void UpdatePerson(Person person)
    {
      Debug.WriteLine("Update: " + person.ToString());
    }

    public void DeletePerson(Person person)
    {
      Debug.WriteLine("Delete: " + person.ToString());
    }

  }
}
