using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;

namespace MVVMDemo.ViewModel
{

  /// <summary>
  /// EventArgs Klasse, die alle Parameter fr die Anzeige einer MessageBox besitzt.
  /// "ViewModel" fr eine MessageBox.
  /// </summary>
  public class UserFeedbackEventArgs : EventArgs
  {

    public UserFeedbackEventArgs(string captionKey, string messageKey, MessageBoxButton button, MessageBoxImage image)
    {
      _caption = captionKey;
      _message = messageKey;
      _button = button;
      _image = image;
    }

    private string _caption;
    private string _message;
    private MessageBoxButton _button;
    private MessageBoxImage _image;
    private MessageBoxResult _result = MessageBoxResult.None;

    public string Caption
    {
      get { return _caption; }
      set { _caption = value; }
    }

    public string Message
    {
      get { return _message; }
      set { _message = value; }
    }

    public MessageBoxButton Button
    {
      get { return _button; }
      set { _button = value; }
    }

    public MessageBoxImage Image
    {
      get { return _image; }
      set { _image = value; }
    }
	
    public MessageBoxResult Result
    {
      get { return _result; }
      set { _result = value; }
    }
	}
}
